Bug 1540824 (CVE-2017-15698)

Summary: CVE-2017-15698 tomcat-native: Mishandling of client certificates can allow for OCSP check bypass
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, fgavrilo, gzaronik, jawilson, jclere, jdoyle, jondruse, jshepherd, lgao, lorenzo.dalrio, mbabacek, myarboro, pgier, ppalaga, psakar, pslavice, rnetuka, rstancel, rsvoboda, twalsh, vtunka, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tomcat-native 1.2.16 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-06 07:18:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1540826, 1540827    
Bug Blocks: 1540831    

Description Sam Fowler 2018-02-01 05:41:07 UTC
When parsing the AIA-Extension field of a client certificate, Apache Tomcat Native did not correctly handle fields longer than 127 bytes. The result of the parsing error was to skip the OCSP check. It was therefore possible for client certificates that should have been rejected (if the OCSP check had been made) to be accepted. Users not using OCSP checks are not affected by this vulnerability.

Versions Affected:
Apache Tomcat Native 1.2.0 to 1.2.14
Apache Tomcat Native 1.1.23 to 1.1.34

Upstream Advisory:
http://tomcat.10.x6.nabble.com/SECURITY-CVE-2017-15698-Apache-Tomcat-Native-Connector-OCSP-check-omitted-td5071564.html

Upstream Patches:
http://svn.apache.org/viewvc?view=revision&revision=1815200
http://svn.apache.org/viewvc?view=revision&revision=1815218

Comment 1 Sam Fowler 2018-02-01 05:41:33 UTC
Created tomcat-native tracking bugs for this issue:

Affects: epel-all [bug 1540827]
Affects: fedora-all [bug 1540826]

Comment 3 errata-xmlrpc 2018-03-07 15:11:24 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2018:0465 https://access.redhat.com/errata/RHSA-2018:0465

Comment 4 errata-xmlrpc 2018-03-07 15:25:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 6
  Red Hat JBoss Web Server 3 for RHEL 7

Via RHSA-2018:0466 https://access.redhat.com/errata/RHSA-2018:0466

Comment 5 Joshua Padman 2019-08-06 04:23:34 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Web Server 3 

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 6 Product Security DevOps Team 2019-08-06 07:18:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-15698